package com.heyu.api.data.service.vv;
/**
* <p>
* 推广者获得奖品名细子单 服务类
* </p>
*
* @author quyixiao
* @since 2025-11-21
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterTradeOrderLineAwardEntity;
public interface VvPromoterTradeOrderLineAwardService extends IService<VvPromoterTradeOrderLineAwardEntity> {



	VvPromoterTradeOrderLineAwardEntity selectVvPromoterTradeOrderLineAwardById(Long id);


	Long insertVvPromoterTradeOrderLineAward(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


	Long insertOrUpdateVvPromoterTradeOrderLineAward(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


	int updateVvPromoterTradeOrderLineAwardById(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


	int updateCoverVvPromoterTradeOrderLineAwardById(VvPromoterTradeOrderLineAwardEntity vvPromoterTradeOrderLineAward);


	int deleteVvPromoterTradeOrderLineAwardById(Long id);


}